Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: Alan Third <[email-masked]>
Date: Mon, 14 Dec 2020 21:14:02 +0000

On Mon, Dec 14, 2020 at 10:54:33PM +0200, Eli Zaretskii wrote:
> > Date: Mon, 14 Dec 2020 20:25:30 +0000
> > From: Alan Third <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > 
> > > However, this bug report said that scrolling becomes slower and slower
> > > with time, and that is not expected, and I see no direct relation
> > > between that and flickering.  Can we please go back to that aspect of
> > > the problem?  It shouldn't happen.
> > 
> > I don't see any flickering. I only see the performance reduction when
> > multiple frames are open.
> 
> If the performance hit is only a function of how many frames are
> there, then this is expected.  I thought the performance got worse
> with time, but maybe I misunderstood.

I only see it as a function of how many frames are open. It doesn't
seem to get worse with time.

I guess we just add this but report to the list of complaints that the
NS port is terrible at drawing to the screen.
-- 
Alan Third